const Data = [
	{
		custid: 53,
		nodeId: 1475,
		workflowId: 235,
		nodeGuid: "037270db-7a05-4bf2-a6ed-469f8fb873c2",
		parentGuid: null,
		nodeType: "signal",
		nodeSubtype: "MatchSignal",
		config: {
			index: -1,
			key: "input",
			schemaName: "incident_management_new_instance_signal",
			match: {
				name: "incident_management",
				path: "/cust_incidents/instances",
				method: "POST",
			},
			condition: {
				type: "FilterCondition",
				config: {
					left: "{{ match.data.template.type }}",
					condition: "=",
					right: "0",
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1476,
		workflowId: 235,
		nodeGuid: "b0dba1c0-6ecb-4e66-a75c-cc43129cc166",
		parentGuid: "037270db-7a05-4bf2-a6ed-469f8fb873c2",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			key: "employees",
			schemaName: "people_get_many",
			schema: "people",
			path: "/people",
			method: "post",
			requestSizeLimit: 100,
			requestSizeOffset: 0,
			requestLimitPath: "query.limit",
			requestOffsetPath: "query.offset",
			parameters: {
				query: {
					camgrpid: "{{ input.locationId }}",
					includeAttribs: "0",
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1477,
		workflowId: 235,
		nodeGuid: "3217c6b3-cd4d-48b9-82ae-c5d26d0f2506",
		parentGuid: "b0dba1c0-6ecb-4e66-a75c-cc43129cc166",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 0,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "CountFunctionDef",
						config: { input: "{{ employees }}" },
					},
					condition: "=",
					right: "0",
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1478,
		workflowId: 235,
		nodeGuid: "dc467855-1f7b-4204-befc-af5daa1834a0",
		parentGuid: "3217c6b3-cd4d-48b9-82ae-c5d26d0f2506",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "incident_management_edit_one_instance",
			schema: "incident_management",
			path: "/incident/instance/{instance_id}",
			method: "patch",
			parameters: {
				path: { instance_id: "{{ input.id }}" },
				body: {
					status: "1",
					fields: [
						{ fieldName: "status", fieldValue: "Evacuated" },
						{
							fieldName: "timeOfEvacuation",
							fieldValue: { type: "TimestampFunctionDef" },
						},
					],
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1479,
		workflowId: 235,
		nodeGuid: "a415f723-fd86-4e87-bfcd-1fde813c45cf",
		parentGuid: "b0dba1c0-6ecb-4e66-a75c-cc43129cc166",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 1,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "CountFunctionDef",
						config: { input: "{{ employees }}" },
					},
					condition: ">",
					right: "0",
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1480,
		workflowId: 235,
		nodeGuid: "b3d40550-64b2-49cd-8e18-61605d6d7850",
		parentGuid: "a415f723-fd86-4e87-bfcd-1fde813c45cf",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "incident_management_create_many_instances",
			schema: "incident_management",
			path: "/incident/instance",
			method: "post",
			parameters: {
				query: { withLogs: "0" },
				body: {
					employeeId: "{{ employees.id }}",
					templateId: "{{ input.templateId }}",
					parentInstanceId: "{{ input.id }}",
					userId: "{{ input.userId }}",
					locationId: "{{ input.locationId }}",
					fields: [
						{ fieldName: "status", fieldValue: "Not evacuated" },
						{
							fieldName: "dateOfIncident",
							fieldValue: "{{ input.fieldsFlat.dateOfIncident }}",
						},
						{
							fieldName: "timeOfIncident",
							fieldValue: "{{ input.fieldsFlat.timeOfIncident }}",
						},
						{
							fieldName: "timeOfEvacuation",
							fieldValue: { type: "TimestampFunctionDef" },
						},
					],
				},
			},
			key: "employee_incidents",
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1481,
		workflowId: 235,
		nodeGuid: "d032ddc5-8ffb-4986-89d9-18eee3262a7c",
		parentGuid: "b3d40550-64b2-49cd-8e18-61605d6d7850",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			key: "survey_links",
			schemaName: "survey_get_many_links",
			schema: "survey",
			path: "/survey/{surveyId}/links",
			method: "post",
			parameters: {
				path: { surveyId: "96" },
				body: { personIds: "{{ employees.id }}" },
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1482,
		workflowId: 235,
		nodeGuid: "7985ab71-a222-4c08-aea5-8b735e28ec0e",
		parentGuid: "d032ddc5-8ffb-4986-89d9-18eee3262a7c",
		nodeType: "activity",
		nodeSubtype: "MergeArrayActivity",
		config: {
			key: "merged",
			schemaName: "merge_array_activity",
			mergeInstruction: [
				{ key: "survey", value: "{{ survey_links }}" },
				{ key: "incident", value: "{{ employee_incidents }}" },
			],
			index: -1,
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1483,
		workflowId: 235,
		nodeGuid: "36422726-6b75-46fe-8fc4-f94e7b2802af",
		parentGuid: "7c547abe-2271-4136-9161-e381ae0e550e",
		nodeType: "flow",
		nodeSubtype: "RepeatEachAsyncControlFlow",
		config: {
			index: -1,
			key: "main_loop",
			schemaName: "repeat_each_flow",
			arrayToLoop: "{{ merged }}",
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1484,
		workflowId: 235,
		nodeGuid: "c517ce01-797d-46a8-a0cd-2d7a2b0ab7d8",
		parentGuid: "36422726-6b75-46fe-8fc4-f94e7b2802af",
		nodeType: "flow",
		nodeSubtype: "RepeatSyncControlFlow",
		config: {
			index: 0,
			key: "got_answer_loop",
			schemaName: "repeat_flow",
			nIteration: 5,
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1485,
		workflowId: 235,
		nodeGuid: "0f02395f-b06e-45e0-ab9f-3014f38c99cf",
		parentGuid: "c517ce01-797d-46a8-a0cd-2d7a2b0ab7d8",
		nodeType: "flow",
		nodeSubtype: "EndRepeatControlFlow",
		config: { index: -1, schemaName: "repeat_end_flow" },
		active: true,
	},
	{
		custid: 53,
		nodeId: 1486,
		workflowId: 235,
		nodeGuid: "866caf96-21f6-4dfa-9a22-c0d6aa03618b",
		parentGuid: "0f02395f-b06e-45e0-ab9f-3014f38c99cf",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			key: "final_survey_answer_get",
			schemaName: "survey_get_one_answer",
			schema: "survey",
			path: "/survey/{surveyId}/answer",
			method: "get",
			parameters: {
				path: { surveyId: "{{ merged.survey.surveyid }}" },
				query: { personId: "{{ merged.survey.personid }}" },
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1487,
		workflowId: 235,
		nodeGuid: "7ec1b5a1-d6ec-4473-bf9a-2c5a7482bd40",
		parentGuid: "866caf96-21f6-4dfa-9a22-c0d6aa03618b",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 0,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: "{{ final_survey_answer_get.successful }}",
					condition: "=",
					right: 1,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1488,
		workflowId: 235,
		nodeGuid: "33b7c67c-98f7-4827-adbf-5aa968d0803e",
		parentGuid: "866caf96-21f6-4dfa-9a22-c0d6aa03618b",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 1,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: "{{ final_survey_answer_get.successful }}",
					condition: "=",
					right: 0,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1489,
		workflowId: 235,
		nodeGuid: "1e3e838b-2037-4c86-a3ea-9e9ef0582bf2",
		parentGuid: "c517ce01-797d-46a8-a0cd-2d7a2b0ab7d8",
		nodeType: "signal",
		nodeSubtype: "MatchSignal",
		config: {
			index: -1,
			key: "got_answer",
			schemaName: "survey_new_answer_signal",
			match: {
				name: "survey",
				path: "/pub_submit_survey",
				method: "POST",
			},
			condition: {
				type: "GroupCondition",
				config: {
					operator: "AND",
					conditions: [
						{
							type: "FilterCondition",
							config: {
								left: "{{ merged.survey.surveyid }}",
								condition: "=",
								right: "{{ match.data.surveyid }}",
							},
						},
						{
							type: "FilterCondition",
							config: {
								left: "{{ merged.survey.personid }}",
								condition: "=",
								right: "{{ match.data.personid }}",
							},
						},
					],
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1490,
		workflowId: 235,
		nodeGuid: "290e1620-3029-448d-8755-18079c6fe108",
		parentGuid: "1e3e838b-2037-4c86-a3ea-9e9ef0582bf2",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 0,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: "{{ got_answer.successful }}",
					condition: "=",
					right: 1,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1491,
		workflowId: 235,
		nodeGuid: "08acc62d-4c79-4ae4-99fa-f278bb614e2d",
		parentGuid: "290e1620-3029-448d-8755-18079c6fe108",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "incident_management_edit_one_instance",
			schema: "incident_management",
			path: "/incident/instance/{instance_id}",
			method: "patch",
			parameters: {
				path: { instance_id: "{{ merged.incident.id }}" },
				body: {
					status: "1",
					fields: [
						{ fieldName: "status", fieldValue: "Evacuated" },
						{
							fieldName: "timeOfEvacuation",
							fieldValue: { type: "TimestampFunctionDef" },
						},
					],
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1492,
		workflowId: 235,
		nodeGuid: "7abe382c-cfc7-453c-8091-183690809ff6",
		parentGuid: "08acc62d-4c79-4ae4-99fa-f278bb614e2d",
		nodeType: "flow",
		nodeSubtype: "ExitRepeatControlFlow",
		config: {
			index: -1,
			schemaName: "repeat_exit_flow",
			repeatControlFlowKey: "got_answer_loop",
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1493,
		workflowId: 235,
		nodeGuid: "1d519a57-d19d-43ec-b38c-919b5302de00",
		parentGuid: "1e3e838b-2037-4c86-a3ea-9e9ef0582bf2",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 1,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: "{{ got_answer.successful }}",
					condition: "=",
					right: 0,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1494,
		workflowId: 235,
		nodeGuid: "1ade08f4-3fe5-4206-96f8-a5b929f2d9d7",
		parentGuid: "36422726-6b75-46fe-8fc4-f94e7b2802af",
		nodeType: "flow",
		nodeSubtype: "RepeatSyncControlFlow",
		config: {
			index: 1,
			key: "got_no_answer_loop",
			schemaName: "repeat_flow",
			nIteration: 2,
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1495,
		workflowId: 235,
		nodeGuid: "9166fe0d-da11-4642-b4db-068c75ab3a7d",
		parentGuid: "1ade08f4-3fe5-4206-96f8-a5b929f2d9d7",
		nodeType: "flow",
		nodeSubtype: "EndRepeatControlFlow",
		config: { index: -1, schemaName: "repeat_end_flow" },
		active: true,
	},
	{
		custid: 53,
		nodeId: 1496,
		workflowId: 235,
		nodeGuid: "14c29273-e18c-4fc9-988b-173e1584be2d",
		parentGuid: "9166fe0d-da11-4642-b4db-068c75ab3a7d",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			key: "no_answer_final_survey_answer_get",
			schemaName: "survey_get_one_answer",
			schema: "survey",
			path: "/survey/{surveyId}/answer",
			method: "get",
			parameters: {
				path: { surveyId: "{{ merged.survey.surveyid }}" },
				query: { personId: "{{ merged.survey.personid }}" },
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1497,
		workflowId: 235,
		nodeGuid: "36509245-b0ab-4baf-a69e-3ea75275b44a",
		parentGuid: "14c29273-e18c-4fc9-988b-173e1584be2d",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 0,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "EmptyFunctionDef",
						config: {
							input: "{{ no_answer_final_survey_answer_get }}",
						},
					},
					condition: "=",
					right: 0,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1498,
		workflowId: 235,
		nodeGuid: "e86da40f-aff7-437c-b8c9-d0688b3d9cdf",
		parentGuid: "14c29273-e18c-4fc9-988b-173e1584be2d",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 1,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "EmptyFunctionDef",
						config: {
							input: "{{ no_answer_final_survey_answer_get }}",
						},
					},
					condition: "=",
					right: 1,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1499,
		workflowId: 235,
		nodeGuid: "43c1046c-28b2-498e-8159-20bf34722581",
		parentGuid: "9d0c236c-e959-474d-858a-42f41889efee",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "incident_management_edit_one_instance",
			schema: "incident_management",
			path: "/incident/instance/{instance_id}",
			method: "patch",
			parameters: {
				path: { instance_id: "{{ merged.incident.id }}" },
				body: {
					status: "1",
					fields: [
						{ fieldName: "status", fieldValue: "Undetermined" },
						{
							fieldName: "timeOfEvacuation",
							fieldValue: { type: "TimestampFunctionDef" },
						},
					],
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1500,
		workflowId: 235,
		nodeGuid: "0e2bbe85-4826-46af-99cf-adf944c95a2b",
		parentGuid: "1ade08f4-3fe5-4206-96f8-a5b929f2d9d7",
		nodeType: "signal",
		nodeSubtype: "TemporalSignal",
		config: {
			index: -1,
			schemaName: "wait_second_signal",
			relativeTime: 60,
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1501,
		workflowId: 235,
		nodeGuid: "cae7596e-2095-4bd3-bf16-d642743d2a0c",
		parentGuid: "0e2bbe85-4826-46af-99cf-adf944c95a2b",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			key: "wait_survey_answer_get",
			schemaName: "survey_get_one_answer",
			schema: "survey",
			path: "/survey/{surveyId}/answer",
			method: "get",
			parameters: {
				path: { surveyId: "{{ merged.survey.surveyid }}" },
				query: { personId: "{{ merged.survey.personid }}" },
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1502,
		workflowId: 235,
		nodeGuid: "9d0c236c-e959-474d-858a-42f41889efee",
		parentGuid: "cae7596e-2095-4bd3-bf16-d642743d2a0c",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 0,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "EmptyFunctionDef",
						config: { input: "{{ wait_survey_answer_get }}" },
					},
					condition: "=",
					right: 1,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1503,
		workflowId: 235,
		nodeGuid: "954ee7fe-980f-46e5-993c-ea71606a3a0e",
		parentGuid: "cae7596e-2095-4bd3-bf16-d642743d2a0c",
		nodeType: "trigger",
		nodeSubtype: "Trigger",
		config: {
			index: 1,
			schemaName: "trigger",
			condition: {
				type: "FilterCondition",
				config: {
					left: {
						type: "EmptyFunctionDef",
						config: { input: "{{ wait_survey_answer_get }}" },
					},
					condition: "=",
					right: 0,
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1504,
		workflowId: 235,
		nodeGuid: "5ff4d82c-3469-4151-8baf-a66eb0543c42",
		parentGuid: "954ee7fe-980f-46e5-993c-ea71606a3a0e",
		nodeType: "flow",
		nodeSubtype: "ExitRepeatControlFlow",
		config: {
			index: -1,
			schemaName: "repeat_exit_flow",
			repeatControlFlowKey: "got_no_answer_loop",
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1505,
		workflowId: 235,
		nodeGuid: "39a730f1-bb02-486a-9d93-8ba49397fbcc",
		parentGuid: "1d519a57-d19d-43ec-b38c-919b5302de00",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "incident_management_edit_one_instance",
			schema: "incident_management",
			path: "/incident/instance/{instance_id}",
			method: "patch",
			parameters: {
				path: { instance_id: "{{ merged.incident.id }}" },
				body: {
					status: "1",
					fields: [
						{ fieldName: "status", fieldValue: "Not evacuated" },
						{
							fieldName: "timeOfEvacuation",
							fieldValue: { type: "TimestampFunctionDef" },
						},
					],
				},
			},
		},
		active: true,
	},
	{
		custid: 53,
		nodeId: 1506,
		workflowId: 235,
		nodeGuid: "7c547abe-2271-4136-9161-e381ae0e550e",
		parentGuid: "7985ab71-a222-4c08-aea5-8b735e28ec0e",
		nodeType: "activity",
		nodeSubtype: "InternalAPIActivity",
		config: {
			index: -1,
			schemaName: "message_send_sms",
			schema: "message",
			path: "/message/sms",
			method: "post",
			requestSizeLimit: 95,
			parameters: {
				query: { withResponse: "0" },
				body: {
					personId: "{{ merged.survey.personid }}",
					message:
						"Emergency, please evacuate building: {{ merged.survey.link }}",
				},
			},
		},
		active: true,
	},
];

export { Data as default }